import 'package:dio/dio.dart';
import 'package:flutter/material.dart';
import 'package:lori_sdk/data/lori_api.dart';
import 'package:lori_sdk/data/models/addressCep.dart';

class SalesSearchApi {
  static const API_ADDRESS_BY_CEP = 'sales/search/cep/%';

  Dio _requester;

  SalesSearchApi({@required Dio requester}) : this._requester = requester;

  Future<ApiCallback<AddressCep>> getAddressByCep(String cep) async {
    try {
      // Update the item
      var response = await _requester.get(API_ADDRESS_BY_CEP.replaceAll("%", cep),
          options: Options(responseType: ResponseType.json));
      // Callback invocation
      return ApiCallback<AddressCep>(
          isSuccessful: true, resultData: AddressCep.fromJson(response.data));
    } on DioError catch (e) {
      return ApiCallback<AddressCep>().defaultErrorCallback(e);
    }
  }
}