import 'package:lori_sdk/data/database/searchTermsDaoStub.dart'
// ignore: uri_does_not_exist // this will work on mobile but will not work on web
    if (dart.library.io) 'package:lori_sdk/data/database/mobile/mobileSearchTermsDao.dart'
// ignore: uri_does_not_exist // this will work on web but will not work on mobile
    if (dart.library.html) 'package:lori_sdk/data/database/web/webSearchTermsDao.dart';

abstract class SearchTermsDao {
  static const SEARCHED_TERMS = 'key_searched_terms';
  static const SEARCH_HISTORY_MAX_SIZE = 5;

  Future<void> insertOrUpdate(String term) async {}

  // Internal method to update the internal list at once
  // Since we are not using a database here we always have to save the entire list
  // ignore: missing_return
  Future<List<String>> _updateList(List<String> searchedTerms) async {}

  // ignore: missing_return
  Future<List<String>> get() async {}

  Future<void> delete(String term) async {}

  factory SearchTermsDao() => getSearchTermsDao();
}
