import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:json_annotation/json_annotation.dart';

part 'orderStep.g.dart';

@JsonSerializable()
class OrderStep {
  static const int ORDER_STEP_INFO = 1;
  static const int ORDER_STEP_WARNING = 2;
  static const int ORDER_STEP_SUCCESS = 3;
  static const int ORDER_STEP_ERROR = 4;

  OrderStep();

  String id;
  String description;
  int level;
  String action;
  String actionText;
  String actionUrl;
  double position;

  IconData stepIcon() {
    switch (level) {
      case ORDER_STEP_INFO:
        return Icons.do_not_disturb_on;
      case ORDER_STEP_WARNING:
        return Icons.info;
      case ORDER_STEP_SUCCESS:
        return Icons.check_circle;
      case ORDER_STEP_ERROR:
        return Icons.cancel;
      default:
        return Icons.do_not_disturb_on;
    }
  }

  Color stepColor() {
    switch (level) {
      case ORDER_STEP_INFO:
        return Colors.grey;
      case ORDER_STEP_WARNING:
        return Color.fromARGB(255, 235, 168, 65);
      case ORDER_STEP_SUCCESS:
        return Color.fromARGB(255, 59, 137, 78);
      case ORDER_STEP_ERROR:
        return Color.fromARGB(255, 208, 53, 51);
      default:
        return Colors.grey;
    }
  }

  factory OrderStep.fromJson(Map<String, dynamic> json) =>
      _$OrderStepFromJson(json);

  Map<String, dynamic> toJson() => _$OrderStepToJson(this);
}
